Create a fixed price promotion
How to create a fixed price promotion via API
To create a new fixed price promotion, send a POST request to the /api/fixed_price_promotions endpoint, passing the resource arguments in the request body.
Request
POST https://yourdomain.commercelayer.io/api/fixed_price_promotions
Arguments
type
string
Required
attributes.name
string
Required
attributes.currency_code
string
Optional
attributes.exclusive
boolean
Optional
attributes.priority
integer
Optional
attributes.starts_at
string
Required
attributes.expires_at
string
Required
attributes.total_usage_limit
integer
Optional
attributes._disable
boolean
Optional
attributes._enable
boolean
Optional
attributes.reference
string
Optional
attributes.reference_origin
string
Optional
attributes.metadata
object
Optional
attributes.fixed_amount_cents
integer
Required
relationships.market
object
Optional
relationships.sku_list
object
Required
relationships.tags
array
Optional
Example
The following request creates a new fixed price promotion:
On success, the API responds with a 201 Created status code, returning the created resource object:
Last updated